1. Shop
Omisell Developer Portal | API Documentation & Integration Guides
  • Authentication
  • Common Errors
  • Overview
    • Introduction
    • Push Mechanism
    • Status overview
    • Accounting - API Call Flow
    • ERP Integration Flow
    • API Rate Limits
    • Guide: Direct Integration
    • MCP Server
    • Pagination
  • Changelog
    • πŸ” API Security Upgrade
    • Orders
    • Returns Order
    • Products
    • Shipments
    • Push mechanism
  • API Refference
    • Location
      • Get Country List
      • Get Province List By Country
      • Get District List By Province
      • Get SubDistrict List By District
    • Product
      • Get Product Category
      • Get Product List
      • Add Product
      • Get Product Detail
      • Update Product Detail
      • Get Product Detail by SKU
      • Update Product Detail by SKU
    • Inventory
      • Adjust Stock
      • Delisted Stock
      • Adjust Stock(Old)
    • Serial Number
      • Adjust Serial Number
    • Catalogue
      • Get Catalogue List
      • Get Catalogue Detail
    • Orders
      • Get Order List
      • Add Order
      • Update Document Order
      • Get Order Detail
      • Update Order
      • Cancel Order
      • Get Order Finance
      • Get Returns Receiving Note
      • Get Goods Receipts
    • Returns Order
      • Get Returns Order List
      • Add Order Return
      • Get Return Order Detail
    • Shipments
      • Get Shipment List
      • Add Shipment
      • Update Document Shipment
      • Update Shipment Status
      • Get Shipment Detail
    • Order Dropship
    • Pickup Address
      • Get Pickup List
      • Get WMS Pickup Map
    • Shop
      • Get Shop List
        GET
    • Finance
      • Get Order Revenue
      • Get Order Return Revenue
    • Customer
      • Get Customer Review List
    • Public
      • Get Seller by Partner
  • Webhooks
    • Order Status Push
    • Return Order Status Push
    • Shipment Status Push
    • Sale Invoice Request
  • eCommerce Platform
    • PrestaShop
    • Magento
    • Shopify
    • Woocommerce
    • Zalora
  1. Shop

Get Shop List

GET
/api/v2/public/shop/list

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Header Params

Responses

🟒200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.omisell.com/api/v2/public/shop/list?page_size=25&is_active=1&is_disable=false&page=1' \
--header 'Seller-ID;' \
--header 'Country;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
Real response captured from the live API. Personal data replaced with placeholders.
{
  "data": {
    "count": 43,
    "next": "https://api.omisell.com/api/v2/public/shop/list?page=2&page_size=2",
    "previous": null,
    "results": [
      {
        "business_id": 386,
        "country": "VN",
        "group_id": 2,
        "id": 34251,
        "name": "SANDBOX7413243897012717317",
        "platform": "tiktok",
        "platform_logo": "https://storage.googleapis.com/omisell-cloud/logo/platforms/tiktok.png",
        "platform_label": "Tiktok Shop",
        "user_id": 1,
        "external_id": "70280",
        "external_channel_id": "7495909798223317571",
        "use_fulfillment_provider": "merchant",
        "use_order_type": "all",
        "is_allow_cancel_to_channel": false,
        "is_map_warehouse": 0,
        "can_retry_ship": 0,
        "config": {
          "map_pickup": {
            "38472": "7412561599929730822"
          },
          "fulfillment_provider": null
        },
        "is_active_auto_assigne_pickup": false,
        "is_active_boost": false,
        "is_active_check_gift_exist": true,
        "is_active_create_shipment_ori_pick": false,
        "is_active_map_order_status": false,
        "is_active_map_payment_method": false,
        "is_active_map_shipping_method": false,
        "is_active_map_warehouse": false,
        "is_active_penalty": false,
        "is_active_performance": false,
        "is_active_publish": false,
        "is_active_pull_inventory": false,
        "is_active_reauthorize": true,
        "is_active_sync_fulfillment": true,
        "is_active_sync_inventory": true,
        "is_active_upload_image": true,
        "is_active_webhook_channel": false,
        "is_push_price_by_promotion": false
      },
      {
        "business_id": 386,
        "country": "VN",
        "group_id": 4,
        "id": 11311,
        "name": "BΓ‘n lαΊ» - Pana - Shopee",
        "platform": "retail",
        "platform_logo": "https://storage.googleapis.com/omisell-cloud/logo/platforms/retail.svg",
        "platform_label": "Offline store",
        "user_id": 1,
        "external_id": "",
        "external_channel_id": "",
        "use_fulfillment_provider": "merchant",
        "use_order_type": "all",
        "is_allow_cancel_to_channel": false,
        "is_map_warehouse": 0,
        "can_retry_ship": 0,
        "config": {
          "fulfillment_provider": "merchant",
          "map_pickup": {
            "21": null,
            "141": null,
            "1000": null,
            "1001": null,
            "1002": null,
            "1003": null
          },
          "map_fulfill_by": {
            "21": "merchant",
            "141": null,
            "1000": null,
            "1001": null,
            "1002": null,
            "1003": null
          }
        },
        "is_active_auto_assigne_pickup": true,
        "is_active_boost": false,
        "is_active_check_gift_exist": false,
        "is_active_create_shipment_ori_pick": false,
        "is_active_map_order_status": false,
        "is_active_map_payment_method": false,
        "is_active_map_shipping_method": true,
        "is_active_map_warehouse": false,
        "is_active_penalty": false,
        "is_active_performance": false,
        "is_active_publish": true,
        "is_active_pull_inventory": false,
        "is_active_reauthorize": false,
        "is_active_sync_fulfillment": true,
        "is_active_sync_inventory": false,
        "is_active_upload_image": false,
        "is_active_webhook_channel": false,
        "is_push_price_by_promotion": false
      }
    ]
  },
  "error": false,
  "error_code": 200,
  "attr_error": null,
  "messages": "",
  "request_id": "6a7e9d9fdc03ba7aa93665a9"
}
Modified atΒ 2026-11-03 04:22:17
Previous
Shop
Next
Get Order Revenue
Built with